Package net.snowflake.client.jdbc

## Class SnowflakeFileTransferConfig.Builder

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeFileTransferConfig.Builder

Enclosing class:
  SnowflakeFileTransferConfig

    public static class SnowflakeFileTransferConfig.Builder
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`SnowflakeFileTransferConfig` `build()`
`static SnowflakeFileTransferConfig.Builder` `newInstance()`
`SnowflakeFileTransferConfig.Builder` `setCommand​(String command)`
`SnowflakeFileTransferConfig.Builder` `setDestFileName​(String destFileName)`
`SnowflakeFileTransferConfig.Builder` `setNetworkTimeoutInMilli​(int networkTimeoutInMilli)`
`SnowflakeFileTransferConfig.Builder` `setOcspMode​(OCSPMode ocspMode)`
`SnowflakeFileTransferConfig.Builder` `setPrefix​(String prefix)`
`SnowflakeFileTransferConfig.Builder` `setProxyProperties​(Properties proxyProperties)`
`SnowflakeFileTransferConfig.Builder` `setRequireCompress​(boolean requireCompress)`
`SnowflakeFileTransferConfig.Builder` `setSFSession​(SFSession session)`
`SnowflakeFileTransferConfig.Builder` `setSnowflakeFileTransferMetadata​(SnowflakeFileTransferMetadata metadata)`
`SnowflakeFileTransferConfig.Builder` `setStreamingIngestClientKey​(String streamingIngestClientKey)` Streaming ingest client key provided by Snowflake, used to calculate streaming ingest billing per client
`SnowflakeFileTransferConfig.Builder` `setStreamingIngestClientName​(String streamingIngestClientName)` Streaming ingest client name, used to calculate streaming ingest billing per client
`SnowflakeFileTransferConfig.Builder` `setUploadStream​(InputStream uploadStream)`
`SnowflakeFileTransferConfig.Builder` `setUseS3RegionalUrl​(boolean useS3RegUrl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newInstance

    public static SnowflakeFileTransferConfig.Builder newInstance()

#### build

    public SnowflakeFileTransferConfig build()
                                      throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

#### setSnowflakeFileTransferMetadata

    public SnowflakeFileTransferConfig.Builder setSnowflakeFileTransferMetadata​(SnowflakeFileTransferMetadata metadata)

#### setUploadStream

    public SnowflakeFileTransferConfig.Builder setUploadStream​(InputStream uploadStream)

#### setRequireCompress

    public SnowflakeFileTransferConfig.Builder setRequireCompress​(boolean requireCompress)

#### setNetworkTimeoutInMilli

    public SnowflakeFileTransferConfig.Builder setNetworkTimeoutInMilli​(int networkTimeoutInMilli)

#### setOcspMode

    public SnowflakeFileTransferConfig.Builder setOcspMode​(OCSPMode ocspMode)

#### setProxyProperties

    public SnowflakeFileTransferConfig.Builder setProxyProperties​(Properties proxyProperties)

#### setPrefix

    public SnowflakeFileTransferConfig.Builder setPrefix​(String prefix)

#### setDestFileName

    public SnowflakeFileTransferConfig.Builder setDestFileName​(String destFileName)

#### setSFSession

    public SnowflakeFileTransferConfig.Builder setSFSession​(SFSession session)

#### setCommand

    public SnowflakeFileTransferConfig.Builder setCommand​(String command)

#### setUseS3RegionalUrl

    public SnowflakeFileTransferConfig.Builder setUseS3RegionalUrl​(boolean useS3RegUrl)

#### setStreamingIngestClientName

    public SnowflakeFileTransferConfig.Builder setStreamingIngestClientName​(String streamingIngestClientName)

Streaming ingest client name, used to calculate streaming ingest billing per client

#### setStreamingIngestClientKey

    public SnowflakeFileTransferConfig.Builder setStreamingIngestClientKey​(String streamingIngestClientKey)

Streaming ingest client key provided by Snowflake, used to calculate streaming ingest billing per client